PKEY(1SSL)

NOM
pkey - Utilitaire de traitement de clefs publique ou privée

SYNOPSIS
openssl pkey [-inform PEM|DER] [-outform PEM|DER] [-in fichier] [-passin param] [-out fichier] [-passout param] [-cipher] [-text] [-text_pub] [-noout] [-pubin] [-pubout] [-engine identifiant]

DESCRIPTION
La commande pkey traite les clefs publique ou privée. Elles peuvent être converties entre différentes formes et avoir leurs composants affichés.

OPTIONS DE LA COMMANDE

-inform DER|PEM
    Indiquer le format d'entrée, DER ou PEM.

-outform DER|PEM
    Indiquer le format de sortie. Les options ont la même signification que pour l'option -inform.

-in fichier
    Indiquer le nom du fichier d'entrée à partir duquel la clef sera lue. Par défaut, la clef est lue depuis l'entrée standard si cette option est omise. Si la clef est chiffrée, un mot de passe sera demandé à l'invite de commande.

-passin param
    La source de mot de passe d'entrée. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-out fichier
    Indiquer le nom du fichier de sortie où sera écrite la clef. Par défaut, la clef est écrite sur la sortie standard si cette option est omise. Si des options de chiffrement ont été indiquées, un mot de passe sera demandé. Le fichier de sortie ne devra pas être le même que le fichier d'entrée.

-passout param
    La source de mot de passe pour le fichier de sortie. Pour plus de renseignements sur le format de param, consultez la section PARAMÈTRES DE PHRASE SECRÈTE d'openssl(1).

-cipher
    Ces options indiquent de chiffrer la clef privée avec l’algorithme fourni. N’importe quel nom d’algorithme accepté par EVP_get_cipherbyname() est acceptable comme des3.

-text
    Afficher les différentes composantes des clefs privée ou publique au format texte en plus de la version encodée.

-text_pub
    N'afficher que les composants de clef publique même si une clef privée est traitée.

-noout
    Ne pas produire la version encodée de la clef.

-pubin
    Par défaut, une clef privée est lue à partir du fichier d'entrée : avec cette option, une clef publique est lue à sa place.

-pubout
    Par défaut, une clef privée est produite. Avec cette option, une clef publique est produite à la place. Cette option est automatiquement activée si l'entrée est une clef publique.

-engine identifiant
    L’indication d’un moteur (en utilisant son identifiant unique identifiant) forcera pkey à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué et à l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

EXEMPLES
Pour enlever la phrase secrète d'une clef privée RSA :

 openssl pkey -in clef.pem -out clefsortie.pem

Pour chiffrer une clef privée en utilisant l'algorithme DES triple :

 openssl pkey -in clef.pem -des3 -out clefsortie.pem

Pour convertir une clef privée du format PEM vers le format DER :

 openssl pkey -in clef.pem -outform DER -out clefsortie.der

Pour afficher les composants d'une clef privée sur la sortie standard :

 openssl pkey -in clef.pem -text -noout

Pour afficher les composants publics d'une clef privée sur la sortie standard :

 openssl pkey -in clef.pem -text_pub -noout

Pour afficher uniquement la partie publique d'une clef privée :

 openssl pkey -in clef.pem -pubout -out clefpub.pem

VOIR AUSSI
genpkey(1), rsa(1), pkcs8(1), dsa(1), genrsa(1), gendsa(1)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.